debianutils (5.23.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:29:02 +0100

debianutils (5.23.2) unstable; urgency=medium

  * run-parts: Remove warning on non-existing
    directory with `--list`. It was emitted
    to `stdout` and even on `stderr` it would
    cause issues. (Closes: #1109705)

 -- Niels Thykier <niels@thykier.net>  Sun, 27 Jul 2025 11:01:22 +0000

debianutils (5.23.1) unstable; urgency=medium

  * Re-release to fix a few mistakes in 5.23.

 -- Niels Thykier <niels@thykier.net>  Sat, 07 Jun 2025 06:40:41 +0000

debianutils (5.23) unstable; urgency=medium

  [ Ben Hutchings ]
  * installkernel: Add support for hooks under /usr/share/kernel/postinst.d
    (Closes: #1107113)

 -- Niels Thykier <niels@thykier.net>  Sat, 07 Jun 2025 06:10:07 +0000

debianutils (5.22) unstable; urgency=medium

  [Bastian Blank]
  * run-parts: Fix failing on empty directories (Closes: #1102512).

  [Ileana Dumitrescu]
  * d/tests/run-parts.test: Extend testing of run-parts.
  * d/control: Bump standards version from 4.7.0 to 4.7.2.
  * acinclude.m4: Bump DEBIANUTILS_VERSION from 5.21 to 5.22.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 11 Apr 2025 17:00:11 +0300

debianutils (5.21) unstable; urgency=medium

  [Johannes Schauer Marin Rodrigues]
  * run-parts: Support uapi configuration_files_specification
    (Closes: #1084170).
  * d/tests/run-parts.test: Extend and enhance testing of run-parts.

  [Ileana Dumitrescu]
  * acinclude.m4: Bump DEBIANUTILS_VERSION from 5.20 to 5.21.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 15 Nov 2024 17:48:10 +0200

debianutils (5.20) unstable; urgency=medium

  [ WHR ]
  * installkernel: Recognize "Image" as an uncompressed image basename
    (Closes: #1075748).

  [ Ileana Dumitrescu ]
  * acinclude.m4: Bump DEBIANUTILS_VERSION from 5.18 to 5.20.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Thu, 04 Jul 2024 16:33:33 +0300

debianutils (5.19) unstable; urgency=medium

  [ Helmut Grohne ]
  * update-shells: Avoid duplicate lines when package shells contain both
    aliased and canonical shells. (Closes: #1072732)

 -- Niels Thykier <niels@thykier.net>  Sun, 09 Jun 2024 07:25:40 +0000

debianutils (5.18) unstable; urgency=medium

  [ Jean-Pierre Giraud ]
  * po4a/po/fr.po: Updated french translations for manpages (Closes: #1065581).

  [ Ileana Dumitrescu ]
  * d/control: Bump standards version from 4.6.2 to 4.7.0.
  * acinclude.m4: Bump DEBIANUTILS_VERSION from 5.17 to 5.18.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Thu, 06 Jun 2024 17:25:12 +0300

debianutils (5.17) unstable; urgency=medium

  [ Patrick Brünn ]
  * run-parts.c: Forward last exit code to preserve exit status.

  [ Ileana Dumitrescu ]
  * d/tests/control: Add run-parts.test to autopkgtests.
  * d/tests/run-parts.test: Move run-parts testing here and add testing for
    the --exit-on-error option.
  * d/tests/smoke: Remove duplicate run-parts testing.
  * acinclude.m4: Bump DEBIANUTILS_VERSION from 5.14 to 5.17.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 01 Mar 2024 21:08:45 +0200

debianutils (5.16) unstable; urgency=medium

  * Upload to unstable per request of Chris Hofstaedtler.

 -- Niels Thykier <niels@thykier.net>  Wed, 03 Jan 2024 21:29:19 +0000

debianutils (5.15) experimental; urgency=medium

  [ Erik Gustafsson ]
  * Shellscript compatibility with BSD and Mac, for "which -s"

  [ Ileana Dumitrescu ]
  * d/tests/smoke: Update to test "which -s"

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 08 Dec 2023 20:16:01 +0200

debianutils (5.14+nmu1) experimental; urgency=medium

  * Non-maintainer upload.
  * Install files into /usr (Closes: #1056971).

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2023 12:10:53 +0100

debianutils (5.14) unstable; urgency=medium

  * acinclude.m4: Bump DEBIANUTILS_VERSION from 5.13 to 5.14.
  * d/run-parts.c:
    - Send --help information to stdout, not stderr.
    - Change mask from int to unsigned int.
  * d/tests/smoke: Remove unnecessary redirection of stderr to stdout.
  * d/rules: Rewrite for dh.
    - Thanks to Niels Thykier for help with this.
  * d/control: Add {misc:Depends} to debianutils Depends.
  * d/prerm, d/postrm, d/postinst: Add in debhelper token.
  * d/docs: Move d/README.shells install here.
  * d/which: Rename to which.debianutils.
  * d/which.1: Rename to which.debianutils.1.
  * CHANGELOG: Merge entries with d/changelog.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 19 Sep 2023 21:35:25 +0300

debianutils (5.13) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * acinclude.m4: Bump DEBIANUTILS_VERSION from 5.8 to 5.13.
  * d/tests/smoke: Update autopkgtest to be more robust.
  * d/tests/control: Remove superficial restriction.

  [ Alexey Sokolov ]
  * run-parts.c: Fix build with clang on darwin.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Wed, 13 Sep 2023 16:44:14 +0300

debianutils (5.12) unstable; urgency=medium

  * d/control:
    - Add myself as maintainer and Niels Thykier as uploader (Closes: #1050806).
    - Bump standards version from 4.6.0 to 4.6.2.
  * d/prerm: Make script executable.
  * d/postinst: Use 'set -e' in the body of the script.
  * d/tests/smoke: Use 'set -e' in the body of the script.
  * d/source/lintian-overrides: Ignore upstream metadata warning for Debian
    native package.
  * ischroot.c: Add missing newline in version output.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Mon, 04 Sep 2023 15:51:04 +0300

debianutils (5.11) unstable; urgency=medium

  * postinst: Remove the bogus links that were created in 5.9 and 5.10

 -- Bastian Germann <bage@debian.org>  Tue, 29 Aug 2023 11:06:08 +0200

debianutils (5.10) unstable; urgency=medium

  * On non-usrmerged systems, correct run-parts/tmpfile links (Closes: #1050725)
  * ischroot: Do not claim it does not run as non-root (Closes: #914921)
  * Align the cron file regex with the documentation (Closes: #790027)

  [ Johannes Schauer Marin Rodrigues ]
  * debian/postinst: add DPKG_ROOT prefix to paths in usrmerge()
    (Closes: #1050752)

 -- Bastian Germann <bage@debian.org>  Tue, 29 Aug 2023 00:39:28 +0200

debianutils (5.9) unstable; urgency=medium

  * Partial translation of which(1) into hungarian (Closes: #1007166)
  * Run autoreconf during the build
  * Drop obsolete dpkg-gencontrol flag -isp
  * Drop unnecessary CI config file
  * Revert the package to be format 3.0 (native)

  [ Helmut Grohne ]
  * Update /etc/shells micropolicy to recommend declarative use (Closes: #1023380)

  [ Bjarni Ingi Gislason ]
  * Correct manpage macros (Closes: #1039046, #1039070, #1039076, #1039077)

  [ Helge Kreutzmann ]
  * Update German manpage translation (Closes: #1004496, #1007180)

  [ Américo Monteiro ]
  * Update Portuguese manpage translation (Closes: #1011106)

  [ Georges Khaznadar ]
  * Modify post{inst,rm} in order to comply with UsrMerge

 -- Bastian Germann <bage@debian.org>  Mon, 28 Aug 2023 10:51:02 +0200

debianutils (5.8-1) unstable; urgency=medium

  * Remove constraints unnecessary since buster (oldstable)
  * Salvage package (Closes: #1038553)
  * Apply quilt patches from NMUs

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jul 2023 23:29:29 +0200

debianutils (5.7-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * update-shells: Do not create duplicate entries in /etc/shells.
  * update-shells: Manage (/usr)/bin/sh in the state file.
  * update-shells: Fix canonicalization of shells in aliased locations.
    (Closes: #1035820)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Jun 2023 21:59:33 +0200

debianutils (5.7-0.4) unstable; urgency=medium

  * Non-maintainer upload
  * d/copyright: Convert to machine-readable format

 -- Bastian Germann <bage@debian.org>  Wed, 02 Nov 2022 17:31:14 +0100

debianutils (5.7-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * update-shells: workaround for merged-/usr (closes: #1006694)
  * update-shells: set the default for ROOT to $DPKG_ROOT

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 27 Jul 2022 08:20:06 +0200

debianutils (5.7-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * debian/rules:
    - Set the NO_PKG_MANGLE variable (for Ubuntu). Closes: #1006970

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 01 May 2022 18:47:00 +0200

debianutils (5.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove old and now conflicting manpage.  closes: #1004167

 -- Bastian Blank <waldi@debian.org>  Sun, 23 Jan 2022 19:05:32 +0100

debianutils (5.6-0.1) unstable; urgency=medium

  [ Bastian Blank ]
  * Non-maintainer upload.
  * Implement CTTE ruling #994275.
  * Revert deprecation of which (no. 2).
    closes: #993582, #993700
  * Restore tempfile (no. 4).
  * Revert move to /usr (no. 5).
    closes: #992481, #992615, #992639, #992649
  * Remove not longer applicable NEWS entry.
  * Force creation of translated man-pages to fix all build.

  [ Johannes Schauer Marin Rodrigues ]
  * also distribute *.po files and *.add files in dist tarball
    (closes: #1000866)

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Jan 2022 23:12:40 +0100

debianutils (5.5-1) unstable; urgency=medium

  * New upstream version.
  * Add debian/watch and debian/upstream/metadata

 -- Clint Adams <clint@debian.org>  Sat, 18 Sep 2021 16:23:29 -0400

debianutils (5.4-4) unstable; urgency=medium

  * Add Breaks on printer-driver-pnm2ppa.  closes: #993665.

 -- Clint Adams <clint@debian.org>  Wed, 08 Sep 2021 16:57:40 -0400

debianutils (5.4-3) unstable; urgency=medium

  * Handle translated which(1) man pages with alternatives as well.
    closes: #992480.

 -- Clint Adams <clint@debian.org>  Tue, 24 Aug 2021 15:54:11 -0400

debianutils (5.4-2) unstable; urgency=medium

  * Patch from Johannes Schauer Marin Rodrigues for busybox fallback
    in postinst.

 -- Clint Adams <clint@debian.org>  Mon, 23 Aug 2021 13:20:28 -0400

debianutils (5.4-1) unstable; urgency=medium

  * add-shell, remove-shell, update-shells: create /etc/shells with
    default SELinux context, by Christian Göttsche.
  * add-shell, remove-shell, update-shells: fall back to
    busybox-compatible arguments if certain calls fail, thanks to
    Johannes Schauer Marin Rodrigues. closes: #992695.
  * which: directly recommend `command -v` in the deprecation warning, so
    people won't need to read the man page. closes: #992383.

 -- Clint Adams <clint@debian.org>  Sun, 22 Aug 2021 12:24:58 -0400

debianutils (5.3-1) unstable; urgency=medium

  * update-shells: multiple fixes, thanks to Helmut Grohne for the
    patch and Guillem Jover and Johannes Schauer for testing.
  * update-shells.8: FILES section from Helmut Grohne, suggested by
    Guillem Jover. closes: #992559.
  * Add NEWS.Debian with text from Christoph Anton Mitterer and
    Michael Gold.  closes: #992383, #992466.

 -- Clint Adams <clint@debian.org>  Fri, 20 Aug 2021 07:31:04 -0400

debianutils (5.2-2) unstable; urgency=medium

  * Add Breaks on ifupdown (<< 0.8.36+nmu1).  closes: #992410.

 -- Clint Adams <clint@debian.org>  Thu, 19 Aug 2021 11:35:38 -0400

debianutils (5.2-1) unstable; urgency=medium

  * savelog: use `command -v` instead of `which`, since `which` is deprecated.

 -- Clint Adams <clint@debian.org>  Thu, 19 Aug 2021 06:43:02 -0400

debianutils (5.1-2) unstable; urgency=medium

  * Manage `which` through alternatives so people can package
    FreeBSD which and GNU which as replacements.

 -- Clint Adams <clint@debian.org>  Wed, 18 Aug 2021 17:07:48 -0400

debianutils (5.1-1) unstable; urgency=medium

  * Patch from Helmut Grohne to add update-shells.
    closes: #990440.

 -- Clint Adams <clint@debian.org>  Wed, 18 Aug 2021 13:36:11 -0400

debianutils (5.0.1-2) unstable; urgency=medium

  * Redirect stderr from which in smoke test
  * Add Breaks on x11-common still using `tempfile`.
    closes: #992396.

 -- Clint Adams <clint@debian.org>  Wed, 18 Aug 2021 11:26:56 -0400

debianutils (5.0.1-1) unstable; urgency=medium

  * which: fix punctuation for Brown-paper-bag.

 -- Clint Adams <clint@debian.org>  Tue, 17 Aug 2021 17:53:04 -0400

debianutils (5.0-1) unstable; urgency=medium

  [ Tomas Pospisek ]
  * run-parts.8: document --debug flag introduced in commit 37596c61
  * run-parts.8: mention that run-parts runs parts sequentially

  [ Clint Adams ]
  * run-parts: Apply patch from Christoph Biedl to add --debug flag.
    closes: #243676.
  * Add missing newline to regexp build error, thanks to Christoph Biedl.
  * Remove tempfile.
  * Deprecate which.
  * Move run-parts to /usr/bin and installkernel to /usr/sbin.

 -- Clint Adams <clint@debian.org>  Tue, 17 Aug 2021 17:03:42 -0400

debianutils (4.11.2) unstable; urgency=medium

  * ischroot: send usage and version to stdout.  closes: #961872.
  * Updated German man page translation from Helge Kreutzmann.
    closes: #961911.
  * Updated Portuguese man page translation from Américo Monteiro.
    closes: #962416.

 -- Clint Adams <clint@debian.org>  Sun, 27 Sep 2020 13:25:47 -0400

debianutils (4.11.1) unstable; urgency=medium

  * Mark smoke autopkgtest as superficial
  * run-parts: print version output to stdout instead of stderr.
    closes: #961872.

 -- Clint Adams <clint@debian.org>  Wed, 19 Aug 2020 09:12:19 -0400

debianutils (4.11) unstable; urgency=medium

  * Drop symlink, so that which will only be available in /usr/bin.

 -- Clint Adams <clint@debian.org>  Mon, 25 May 2020 08:54:30 -0400

debianutils (4.10) unstable; urgency=medium

  * installkernel: stay in /sbin. closes: #961476.
  * tempfile: add run-time deprecation warning.

 -- Clint Adams <clint@debian.org>  Sun, 24 May 2020 19:40:59 -0400

debianutils (4.9.3) unstable; urgency=medium

  * which.1: patch from Bjarni Ingi Gislason to fix mandoc errors.
    closes: #961306.
  * add-shell.8: patch from Bjarni Ingi Gislason to fix mandoc errors.
    closes: #961308.
  * installkernel.1: patch from Bjarni Ingi Gislason to fix mandoc
    errors.  closes: #961309.
  * remove-shell.8: patch from Bjarni Ingi Gislason to fix mandoc
    errors.  closes: #961310.
  * savelog.8: patch from Bjarni Ingi Gislason to fix mandoc errors.
    closes: #961312.

 -- Clint Adams <clint@debian.org>  Sat, 23 May 2020 08:03:09 -0400

debianutils (4.9.2) unstable; urgency=medium

  [ Helmut Grohne ]
  * implement proper quoting on add-shell and remove-shell

  [ Clint Adams ]
  * Add autopkgtest.
  * Patch from gentoo_eshoes@tutanota.com to fix installkernel's
    handling of broken symlinks.  closes: #951424.
  * ischroot.1: patch from Bjarni Ingi Gislason to fix mandoc errors.
    closes: #961304.
  * tempfile.1: patch from Bjarni Ingi Gislason to fix mandoc errors.
    closes: #961305.
  * Updated Italian translation from Beatrice Torracca.
    closes: #959894.
  * po4a update

 -- Clint Adams <clint@debian.org>  Fri, 22 May 2020 20:16:13 -0400

debianutils (4.9.1) unstable; urgency=medium

  * run-parts: patch from Dmitry Bogatov to fix MacOS build.
    closes: #943998.

 -- Clint Adams <clint@debian.org>  Fri, 06 Dec 2019 21:13:44 -0500

debianutils (4.9) unstable; urgency=medium

  * run-parts: patch from Dmitry Bogatov to add option to multiplex
    stdin for children.  closes: #719692.

 -- Clint Adams <clint@debian.org>  Fri, 06 Sep 2019 18:29:50 -0400

debianutils (4.8.6.3) unstable; urgency=medium

  * pt.po: updated Portuguese translation from Américo Monteiro.
    closes: #927399.

 -- Clint Adams <clint@debian.org>  Tue, 16 Jul 2019 21:26:03 -0400

debianutils (4.8.6.2) unstable; urgency=medium

  * fr.po: updated French translation from Baptiste Jammet.
    closes: #921009

 -- Clint Adams <clint@debian.org>  Wed, 10 Jul 2019 20:27:38 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog debianutils`.
